Description

When querying about hosts via API and using this=true the API returns wrong subtotal count. This happens when the query matches

more records than what is the current per_page setting.

Example:

Search for "*" on 30 hosts in total with per page being 5 will result in:

results: [5 hosts...]

per_page: 5

total: 30

subtotal: 5

 In this example the expected result is subtotal being 30.

Additional info:

The issue is caused by calling `pluck` on the original active record relation when thin=true is used.

Related issues:

Has duplicate Foreman - Bug #22326: API gives subtotal=0 when per_page=0 and ... Duplicate

Associated revisions

Revision d5f2f1de - 06/21/2018 08:25 AM - Amir Fefer

Fixes #23599 - fix subtotal value in API call with thin=true

History

#1 - 06/19/2018 11:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/5713 added

#2 - 06/20/2018 11:14 AM - Amir Fefer

- translation missing: en.field_release set to 330

#3 - 06/21/2018 09:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d5f2f1de95e4cc665705c5047ccc89660f0bb92d.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d5f2f1de95e4cc665705c5047ccc89660f0bb92d


#4 - 06/21/2018 11:16 AM - Tomer Brisker

- Has duplicate Bug #22326: API gives subtotal=0 when per_page=0 and thin=true and search string is used added

#5 - 06/21/2018 11:19 AM - Tomer Brisker

- Bugzilla link set to 1516929

#6 - 06/21/2018 11:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5728 added
